package com.bonus.canteen.core.device.manage.model.metadata;

import java.io.Serializable;

public class PrinterMetadata extends BaseMetadate implements Serializable {
   private String autoPrintNumber;
   private String handPrintNumber;
   private String canteenFlag;
   private String canteenId;
   private String stallId;
   private String canteenOrderTemplateId;
   private String canteenOrderAutoFlag;
   private String canteenRefundOrderTemplateId;
   private String canteenRefundOrderAutoFlag;
   private String roomOrderTemplateId;
   private String roomOrderAutoFlag;
   private String roomRefundOrderTemplateId;
   private String roomRefundOrderAutoFlag;
   private String supermarketFlag;
   private String supermarketId;
   private String supermarketOrderTemplateId;
   private String supermarketOrderAutoFlag;
   private String supermarketRefundOrderTemplateId;
   private String supermarketRefundOrderAutoFlag;
   private String accTradeFlag;
   private String accTradeRechargeTemplateId;
   private String accTradeRechargeAutoFlag;
   private String accTradeWithdrawalTemplateId;
   private String accTradeWithdrawalAutoFlag;

   public String getAutoPrintNumber() {
      return this.autoPrintNumber;
   }

   public String getHandPrintNumber() {
      return this.handPrintNumber;
   }

   public String getCanteenFlag() {
      return this.canteenFlag;
   }

   public String getCanteenId() {
      return this.canteenId;
   }

   public String getStallId() {
      return this.stallId;
   }

   public String getCanteenOrderTemplateId() {
      return this.canteenOrderTemplateId;
   }

   public String getCanteenOrderAutoFlag() {
      return this.canteenOrderAutoFlag;
   }

   public String getCanteenRefundOrderTemplateId() {
      return this.canteenRefundOrderTemplateId;
   }

   public String getCanteenRefundOrderAutoFlag() {
      return this.canteenRefundOrderAutoFlag;
   }

   public String getRoomOrderTemplateId() {
      return this.roomOrderTemplateId;
   }

   public String getRoomOrderAutoFlag() {
      return this.roomOrderAutoFlag;
   }

   public String getRoomRefundOrderTemplateId() {
      return this.roomRefundOrderTemplateId;
   }

   public String getRoomRefundOrderAutoFlag() {
      return this.roomRefundOrderAutoFlag;
   }

   public String getSupermarketFlag() {
      return this.supermarketFlag;
   }

   public String getSupermarketId() {
      return this.supermarketId;
   }

   public String getSupermarketOrderTemplateId() {
      return this.supermarketOrderTemplateId;
   }

   public String getSupermarketOrderAutoFlag() {
      return this.supermarketOrderAutoFlag;
   }

   public String getSupermarketRefundOrderTemplateId() {
      return this.supermarketRefundOrderTemplateId;
   }

   public String getSupermarketRefundOrderAutoFlag() {
      return this.supermarketRefundOrderAutoFlag;
   }

   public String getAccTradeFlag() {
      return this.accTradeFlag;
   }

   public String getAccTradeRechargeTemplateId() {
      return this.accTradeRechargeTemplateId;
   }

   public String getAccTradeRechargeAutoFlag() {
      return this.accTradeRechargeAutoFlag;
   }

   public String getAccTradeWithdrawalTemplateId() {
      return this.accTradeWithdrawalTemplateId;
   }

   public String getAccTradeWithdrawalAutoFlag() {
      return this.accTradeWithdrawalAutoFlag;
   }

   public void setAutoPrintNumber(final String autoPrintNumber) {
      this.autoPrintNumber = autoPrintNumber;
   }

   public void setHandPrintNumber(final String handPrintNumber) {
      this.handPrintNumber = handPrintNumber;
   }

   public void setCanteenFlag(final String canteenFlag) {
      this.canteenFlag = canteenFlag;
   }

   public void setCanteenId(final String canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final String stallId) {
      this.stallId = stallId;
   }

   public void setCanteenOrderTemplateId(final String canteenOrderTemplateId) {
      this.canteenOrderTemplateId = canteenOrderTemplateId;
   }

   public void setCanteenOrderAutoFlag(final String canteenOrderAutoFlag) {
      this.canteenOrderAutoFlag = canteenOrderAutoFlag;
   }

   public void setCanteenRefundOrderTemplateId(final String canteenRefundOrderTemplateId) {
      this.canteenRefundOrderTemplateId = canteenRefundOrderTemplateId;
   }

   public void setCanteenRefundOrderAutoFlag(final String canteenRefundOrderAutoFlag) {
      this.canteenRefundOrderAutoFlag = canteenRefundOrderAutoFlag;
   }

   public void setRoomOrderTemplateId(final String roomOrderTemplateId) {
      this.roomOrderTemplateId = roomOrderTemplateId;
   }

   public void setRoomOrderAutoFlag(final String roomOrderAutoFlag) {
      this.roomOrderAutoFlag = roomOrderAutoFlag;
   }

   public void setRoomRefundOrderTemplateId(final String roomRefundOrderTemplateId) {
      this.roomRefundOrderTemplateId = roomRefundOrderTemplateId;
   }

   public void setRoomRefundOrderAutoFlag(final String roomRefundOrderAutoFlag) {
      this.roomRefundOrderAutoFlag = roomRefundOrderAutoFlag;
   }

   public void setSupermarketFlag(final String supermarketFlag) {
      this.supermarketFlag = supermarketFlag;
   }

   public void setSupermarketId(final String supermarketId) {
      this.supermarketId = supermarketId;
   }

   public void setSupermarketOrderTemplateId(final String supermarketOrderTemplateId) {
      this.supermarketOrderTemplateId = supermarketOrderTemplateId;
   }

   public void setSupermarketOrderAutoFlag(final String supermarketOrderAutoFlag) {
      this.supermarketOrderAutoFlag = supermarketOrderAutoFlag;
   }

   public void setSupermarketRefundOrderTemplateId(final String supermarketRefundOrderTemplateId) {
      this.supermarketRefundOrderTemplateId = supermarketRefundOrderTemplateId;
   }

   public void setSupermarketRefundOrderAutoFlag(final String supermarketRefundOrderAutoFlag) {
      this.supermarketRefundOrderAutoFlag = supermarketRefundOrderAutoFlag;
   }

   public void setAccTradeFlag(final String accTradeFlag) {
      this.accTradeFlag = accTradeFlag;
   }

   public void setAccTradeRechargeTemplateId(final String accTradeRechargeTemplateId) {
      this.accTradeRechargeTemplateId = accTradeRechargeTemplateId;
   }

   public void setAccTradeRechargeAutoFlag(final String accTradeRechargeAutoFlag) {
      this.accTradeRechargeAutoFlag = accTradeRechargeAutoFlag;
   }

   public void setAccTradeWithdrawalTemplateId(final String accTradeWithdrawalTemplateId) {
      this.accTradeWithdrawalTemplateId = accTradeWithdrawalTemplateId;
   }

   public void setAccTradeWithdrawalAutoFlag(final String accTradeWithdrawalAutoFlag) {
      this.accTradeWithdrawalAutoFlag = accTradeWithdrawalAutoFlag;
   }


}
